Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024694
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-09-04 17:572013-09-17 19:02
ReporteregoitzView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchFixed in SCM revisione22dd1199630
ProjectionnoneETAnoneTarget Version
OSAnyDatabasePostgreSQLJava version
OS VersionDatabase version9.1Ant version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024694: After adding product characteristics to core the product simple selector has bad performance.

DescriptionA now join has been included on the productsimple selector.

left join p.genericProduct gp

This makes the query slow with big amount of data
Steps To ReproduceOn a product with thousendof products with arrond 30 price lists the selector takes 2 seconds to show data.
Proposed SolutionCreate the following index

CREATE INDEX m_product_gen__prod
  ON m_product
  USING btree
  (Generic_Product_ID COLLATE pg_catalog."default" );


analyze m_product;
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060925)
hgbot (developer)
2013-09-05 09:00

Repository: erp/devel/pi
Changeset: e22dd1199630733aa54d13e028c028070bb07479
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Sep 05 12:28:10 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e22dd1199630733aa54d13e028c028070bb07479 [^]

Fixes Issue 0024694: Added index to m_product to improve simple product selector performance

Added index m_product_gen_prod for m_product table.

---
M src-db/database/model/tables/M_PRODUCT.xml
---
(0061056)
AugustoMauch (developer)
2013-09-10 17:37

Code reviewed and verified in pi@e22dd1199630733aa54d13e028c028070bb07479
(0061219)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-04 17:57 egoitz New Issue
2013-09-04 17:57 egoitz Assigned To => AugustoMauch
2013-09-04 17:57 egoitz Modules => Core
2013-09-04 17:57 egoitz Triggers an Emergency Pack => No
2013-09-04 17:57 egoitz Tag Attached: Performance
2013-09-05 08:41 shankarb Assigned To AugustoMauch => shankarb
2013-09-05 08:58 shankarb Review Assigned To => AugustoMauch
2013-09-05 08:58 shankarb Issue Monitored: AugustoMauch
2013-09-05 09:00 hgbot Checkin
2013-09-05 09:00 hgbot Note Added: 0060925
2013-09-05 09:00 hgbot Status new => resolved
2013-09-05 09:00 hgbot Resolution open => fixed
2013-09-05 09:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e22dd1199630733aa54d13e028c028070bb07479 [^]
2013-09-10 17:37 AugustoMauch Note Added: 0061056
2013-09-10 17:37 AugustoMauch Status resolved => closed
2013-09-10 17:37 AugustoMauch Fixed in Version => 3.0MP27
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061219


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker